Bug 205016 - kudzu requires hal
Summary: kudzu requires hal
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-02 11:57 UTC by Robert Scheck
Modified: 2014-03-17 03:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 20:36:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-09-02 11:57:01 UTC
Description of problem:
kudzu requires hal, but it also works without. So the question is, whether the 
requirement from kudzu to hal is really required? And if yes, what is triggering 
this requirement?

Version-Release number of selected component (if applicable):
kudzu-1.2.52-1

Actual results:
kudzu requires hal

Expected results:
Maybe remove unnecessary requirement?

Comment 1 Bill Nottingham 2006-09-05 01:56:57 UTC
The requirement was added when updfstab was removed, to make sure the
functionality of auto-mouting remained on upgrades (as hal couldn't obsolete
kudzu). If we're willing to live with that upgrade case not being handled
(which, considering automouting isn't directly in HAL any more, might be a good
idea), we can remove the requirement.

I'm mildly curious what sorts of installations would require kudzu and not HAL.

Comment 2 Robert Scheck 2006-09-05 19:57:10 UTC
Well, I'm running a Rawhide without any X...just daemons like httpd, vsftpd, 
bind etc. and kudzu is the only package which would require hal. And if I'm 
honest, auto-mounting for a server system isn't really needed. But I dunno 
whether there are other problems on upgrading as you already mentioned before.

Comment 3 Bill Nottingham 2007-10-04 20:36:54 UTC
Removed in CVS, will be in 1.2.77-1; the cases that need it will almost
certainly get hal pulled in via different mechanisms.


Note You need to log in before you can comment on or make changes to this bug.